<template>
  <section class="section">
    <div class="icon-bar">
      <a href="#" class="facebook"><i class="fa fa-facebook"></i></a> 
      <a href="#" class="twitter"><i class="fa fa-twitter"></i></a> 
      <a href="#" class="google"><i class="fa fa-google"></i></a> 
      <a href="#" class="linkedin"><i class="fa fa-linkedin"></i></a>
      <a href="#" class="youtube"><i class="fa fa-youtube"></i></a> 
    </div>

  </section>
</template>

<style>
    body {margin:0;height:2000px;}

    .icon-bar {
    position: fixed;
    top: 50%;
    right: 0;
    -webkit-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
    }

    .icon-bar a {
    display: block;
    text-align: center;
    padding: 16px;
    transition: all 0.3s ease;
    color: white;
    font-size: 20px;
    }

    .icon-bar a:hover {
    background-color: #000;
    }

    .facebook {
    background: #3B5998;
    color: white;
    }

    .twitter {
    background: #55ACEE;
    color: white;
    }

    .google {
    background: #dd4b39;
    color: white;
    }

    .linkedin {
    background: #007bb5;
    color: white;
    }

    .youtube {
    background: #bb0000;
    color: white;
    }

    .content {
    margin-left: 120px;
    font-size: 30px;
    }
</style>